# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaShellBendingStiffness Class Reference

Representation of STEP entity FeaShellBendingStiffness
.

`#include <StepFEA_FeaShellBendingStiffness.hxx>`

Inheritance diagram for StepFEA_FeaShellBendingStiffness:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_FeaShellBendingStiffness ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const StepFEA_SymmetricTensor42d &aFeaConstants)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepFEA_SymmetricTensor42d | FeaConstants () const
| Returns field FeaConstants .
Standard_EXPORT void | SetFeaConstants (const StepFEA_SymmetricTensor42d &FeaConstants)
| Set field FeaConstants .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepFEA_SymmetricTensor42d | theFeaConstants

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaShellBendingStiffness::StepFEA_FeaShellBendingStiffness | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepFEA_SymmetricTensor42d StepFEA_FeaShellBendingStiffness::FeaConstants | ( |  | ) | const

Standard_EXPORT const StepFEA_FeaShellBendingStiffness::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaMaterialPropertyRepresentationItem.

Standard_EXPORT void StepFEA_FeaShellBendingStiffness::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const StepFEA_SymmetricTensor42d & | aFeaConstants
| ) |

Standard_EXPORT void StepFEA_FeaShellBendingStiffness::SetFeaConstants | ( | const StepFEA_SymmetricTensor42d & | FeaConstants | ) |

## Field Documentation

StepFEA_SymmetricTensor42d StepFEA_FeaShellBendingStiffness::theFeaConstants `[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaShellBendingStiffness.hxx